Skip to main content

Change Product

Update the subscription product.

Request Parametersapplication/json
UpdateProductRequestModel
object
productId
integer
required
The ID of the new product that will be updated in the subscription.
quantity
integer
optional
The new product quantity you want to apply.
startBillingImmediately
boolean
optional
Possible values are true or false.
Specifies whether billing for the updated product should start immediately.
Auto-renewal subscriptions:
If set to true, the product is updated and the recurring payment is processed
immediately using the new product properties.
If set to false, the product is updated, and the recurring payment will be processed
on the next scheduled billing date in accordance with the new product properties.
Manual renewal subscriptions:
The subscription billing flow remains unchanged regardless of the parameter value.
sendCustomerNotification
boolean
optional
Possible values are true or false.
If true, it sends a customer an email that informs
about the changed subscription details, false otherwise.
By default, the customer doesn't receive any email notification.
subscriptionId
integer
required
The subscription ID that needs to be updated.
vendorAccountId
integer
required
The vendor account ID identifies your PayPro Global account.
It can be found in Account settings > Business info.
apiSecretKey
string
required
The vendor account API secret key is a unique key
that was generated specifically for authenticating API requests.
It can be found in Store settings > General settings > Integration tab.
Response Parametersapplication/json
UpdateProductResponseModel
object
request
object
productId
integer
The ID of the new product that will be updated in the subscription.
quantity
integer
The new product quantity you want to apply.
startBillingImmediately
boolean
Possible values are true or false.
Specifies whether billing for the updated product should start immediately.
Auto-renewal subscriptions:
If set to true, the product is updated and the recurring payment is processed
immediately using the new product properties.
If set to false, the product is updated, and the recurring payment will be processed
on the next scheduled billing date in accordance with the new product properties.
Manual renewal subscriptions:
The subscription billing flow remains unchanged regardless of the parameter value.
sendCustomerNotification
boolean
Possible values are true or false.
If true, it sends a customer an email that informs
about the changed subscription details, false otherwise.
By default, the customer doesn't receive any email notification.
subscriptionId
integer
The subscription ID that needs to be updated.
vendorAccountId
integer
The vendor account ID identifies your PayPro Global account.
It can be found in Account settings > Business info.
apiSecretKey
string
The vendor account API secret key is a unique key
that was generated specifically for authenticating API requests.
It can be found in Store settings > General settings > Integration tab.
errors
array[object]
propertyWithError
string
propertyErrorMessages
array[string]
isSuccess
boolean
Request Sample
{
"productId": 12345,
"quantity": 3,
"startBillingImmediately": true,
"sendCustomerNotification": true,
"subscriptionId": 1111111,
"vendorAccountId": 123456,
"apiSecretKey": "your_api_secret_key"
}
Response Sample
{
"request": {
"productId": 12345,
"quantity": 3,
"startBillingImmediately": true,
"sendCustomerNotification": true,
"subscriptionId": 1111111,
"vendorAccountId": 123456,
"apiSecretKey": "your_api_secret_key"
},
"errors": [],
"isSuccess": true
}